Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support.action.swing
Class ActionListBuilder

    java.lang.Object
      com.eviware.soapui.support.action.swing.ActionListBuilder

    public class ActionListBuilder

extends java.lang.Object

Builder for ActionLists for a variety of targets

Author:
  ole.matzura

Constructor Summary
`ActionListBuilder()`

Method Summary
`protected static
`<T extends ModelItem> void`
` | `addActions(T modelItem, ActionList actions, SoapUIActionGroup<T> actionGroup)` Adds the specified ActionMappings to the specified ActionList for the specified modelItem
`static
`<T extends ModelItem> ActionList`
` | `buildActions(java.lang.String actionGroup, T modelItem)`
`static
`<T extends ModelItem> ActionList`
` | `buildActions(T modelItem)` Creates an ActionList for the specified modelItem

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionListBuilder

    public ActionListBuilder()

Method Detail

### buildActions

    public static <T extends ModelItem> ActionList buildActions(T modelItem)

  Creates an ActionList for the specified modelItem

### buildActions

    public static <T extends ModelItem> ActionList buildActions(java.lang.String actionGroup,
                                                                T modelItem)

### addActions

    protected static <T extends ModelItem> void addActions(T modelItem,
                                                           ActionList actions,
                                                           SoapUIActionGroup<T> actionGroup)

  Adds the specified ActionMappings to the specified ActionList for the specified modelItem

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.